/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Preferences Toolbar 2.
 *
 * The Initial Developer of the Original Code is
 * Aaron Andersen.
 * Portions created by the Initial Developer are Copyright (C) 2___
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s): Aaron Andersen <aaron@xulplanet.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */


function Startup()
{
	// Kill the Accesskey "Enter" in the Dialog, to make multiline textboxes possible
	var okButton = document.documentElement.getButton("accept");
	if (okButton)
	{
		okButton.removeAttribute("default");
		okButton.setAttribute("accesskey","");
	}
}


function showNewPanel()
{
	var frame = document.getElementById("content-frame");
	var menulist = document.getElementById("item-type")
	var page = menulist.selectedItem.value;

	//****HACK**** The first item in the list is only to tell the user what this menulist is for
        //             If the user selects this item, then ignore it. If the user selects something else,
        //             then we can delete this "information-item"
        if (page=="") return;
	// var firstitem = menulist.getItemAtIndex(0); --> Don't ask me why menulists don't support getItemAtIndex...
        var tempitem = menulist.selectedItem;
	menulist.selectedIndex = 0;
	if (menulist.selectedItem.value=="")
        	menulist.removeItemAt(0);
	menulist.selectedItem = tempitem;
	//****END HACK****

	window.frames[0].document.location.href = page;

	prefbarDebugMessage("Setting frame to: " + page);

	setupFrame();

	window.sizeToContent();
}

function setupFrame()
{
	var frame = document.getElementById("content-frame");

	if(frame.docShell.busyFlags != frame.docShell.BUSY_FLAGS_NONE)
	{
		prefbarDebugMessage("Frame not loaded");

		setTimeout("setupFrame()", 10);
	}
	else
	{
		prefbarDebugMessage("Frame loading complete");

		window.frames[0].setupNew()	
	}
}

function dialogAccept()
{
	prefbarDebugMessage("New item dialog accepted");

	if(window.frames[0].verifyDataNew())
	{
		window.frames[0].createNewItem();

//		window.opener.document.getElementById("allTree").view.selection.select(0);

		return true;
	}
	else
	{
		return false;
	}
}